import { MongoDBInstance } from 'mongodb-instance-model';
import type { DataService } from 'mongodb-data-service';
import type { AppRegistry } from 'hadron-app-registry';
import type { LoggerAndTelemetry } from '@mongodb-js/compass-logging/provider';
export declare function createInstanceStore({ globalAppRegistry: appRegistry, dataService, logger: { debug }, }: {
    dataService: DataService;
    logger: LoggerAndTelemetry;
    globalAppRegistry: AppRegistry;
}): {
    state: {
        instance: MongoDBInstance;
    };
    getState(): {
        instance: MongoDBInstance;
    };
    refreshInstance: (refreshOptions?: Omit<Parameters<MongoDBInstance['refresh']>[0], 'dataService'>) => Promise<void>;
    fetchDatabaseDetails: (dbName: string, { nameOnly }?: {
        nameOnly?: boolean | undefined;
    }) => Promise<void>;
    fetchCollectionDetails: (ns: string) => Promise<import("mongodb-collection-model").default | undefined>;
    fetchAllCollections: () => Promise<void>;
    fetchCollectionMetadata: (ns: string) => Promise<import("mongodb-collection-model").CollectionMetadata | undefined>;
    refreshNamespace: ({ ns, database, }: {
        ns: string;
        database: string;
    }) => Promise<void>;
    refreshNamespaceStats: (ns: string) => Promise<void>;
    deactivate(): void;
};
//# sourceMappingURL=instance-store.d.ts.map